gromox-dscli(8gx)

Name
gromox-dscli — AutoDiscover command line utility

Synopsis
PASS=secret gromox-dscli [--eas] [-H https://host/path] [-h hostonly] [-e emailaddr] [-v]

Description
This utility facilitates sending/receiving AutoDiscover request/responses to/from a server for testing.

Options

-H https://host/Autodiscover/Autodiscover.xml
    The full URL for making the request. Useful when the request URI is non-standard. Use of -H disables DNS SRV lookup.
    Default: https://localhost/Autodiscover/Autodiscover.xml

-e user@domain.example
    Username to send along in the request.
    Default: (none)

-h host
    The hostname to use for making the request. From this, the full URL is constructed as "https://host/Autodiscover/Autodiscover.xml". Use of -h disabled DNS SRV lookup.
    Default: derive from -e argument, otherwise (-x) localhost

-u username
    Use a distinct username for authentication.
    Default: inherit from -e option

-v  Be verbose and dump the HTTP/XML request/responses.

-x /o=1234578/ou=Exchange Administrative Group (FYDIBOHF23SPDLT)/cn=Recipients/cn=username
    LegacyDN field to send along in the request.
    Default: (none)

--eas
    Use the request schema from [MS-ASCMD].

Examples
Discover your store:

    PASS=letmein gromox-dscli -e user@domain.example

Test public store discovery:

    PASS=letmein gromox-dscli -e public.folder.root@domain.example -u
    user@domain.example

Normative references

•   MS-OXDISCO: Autodiscover HTTP Service Protocol

•   MS-OXDSCLI: Autodiscover Publishing and Lookup Protocol

See also
gromox(7)